<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<plugin
   id="org.eclipse.hyades.trace.sample"
   name="%PLUGIN_NAME"
   version="3.0.0"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.trace.sample.HyadesSamplePlugin">

   <runtime>
      <library name="hyades.trace.sample.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.trace.sample"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>   
	  <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.ui"/>
	  <import plugin="org.eclipse.hyades.analysis.engine"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.logging.parsers"/>
      <import plugin="org.eclipse.hyades.log.ui"/>
      <import plugin="org.eclipse.hyades.uml2sd.ui"/> 	  
      <import plugin="org.eclipse.hyades.sdb"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.hyades.sd.logc"/>      
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
   </requires>


   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            name="%SAMPLE_NAME"
            icon="icons\examples\newtestproject_wiz.gif"
            category="org.eclipse.ui.Examples/org.eclipse.hyades.logging.samples"
            class="org.eclipse.hyades.trace.sample.loganalyzer.LogAnalyzerCreationWizard"
            project="true"
            finalPerspective="org.eclipse.hyades.trace.internal.ui.tracePerspective"
            id="org.eclipse.hyades.trace.sample.loganalyzer.LogAnalyzerCreationWizard">
         <description>
            %LOG_SAMPLE_DESC
         </description>
       </wizard>

		<wizard
			category="org.eclipse.ui.Examples/org.eclipse.hyades.logging.samples"
			class="org.eclipse.hyades.trace.sample.logcorrelator.LogCorrelatorCreationWizard"
			finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
			icon="icons\examples\newtestproject_wiz.gif"
			id="org.eclipse.hyades.trace.sample.logcorrelator.LogCorrelatorCreationWizard"
			name="%LOG_CORRELATOR_SAMPLE_NAME"
			project="true">
			<description>
				%LOG_CORRELATOR_SAMPLE_DESC
			</description>
		</wizard>
		<wizard
			category="org.eclipse.ui.Examples/org.eclipse.hyades.logging.samples"
			class="org.eclipse.hyades.trace.sample.logparser.LogParserCreationWizard"
			finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
			icon="icons\examples\newtestproject_wiz.gif"
			id="org.eclipse.hyades.trace.sample.logparser.LogParserCreationWizard"
			name="%LOG_PARSER_SAMPLE_NAME"
			project="true">
			<description>
				%LOG_PARSER_SAMPLE_DESC
			</description>
		</wizard>

   </extension>

   <extension
         point="org.eclipse.hyades.ui.sampleWizards">

		<sampleWizard
			id="org.eclipse.hyades.trace.sample.loganalyzer.LogAnalyzerCreationWizard.sample"
			wizardId="org.eclipse.hyades.trace.sample.loganalyzer.LogAnalyzerCreationWizard"
			banner="icons\examples\newtestproject_wizbanner.gif">
			
	        <projectsetup
	               pagetitle="%LOG_SAMPLE_PAGE1_NAME"
	               name="LogAnalyzerProject"
	               pagedescription="%LOG_SAMPLE_PAGE1_DESC"
	               helpId="">
	            <import
	                  dest=""
	                  src="archive/LogAnalyzerSample">
	            </import>
	         </projectsetup>
	         <projectsetup
	               pagetitle="%LOG_SAMPLE_PAGE2_NAME"
	               name="LogAnalyzerProject"
	               pagedescription="%LOG_SAMPLE_PAGE2_DESC"
	               helpId="">
					<open file="readme.html" editorId="com.ibm.etools.webbrowser"/>
	         </projectsetup>
		</sampleWizard>

		<sampleWizard
			id="org.eclipse.hyades.trace.sample.logcorrelator.LogCorrelatorCreationWizard.sample"
			wizardId="org.eclipse.hyades.trace.sample.logcorrelator.LogCorrelatorCreationWizard"
			banner="icons\examples\newtestproject_wizbanner.gif">
			
			<projectsetup
				helpId=""
				name="LogCorrelatorProject"
				pagedescription="%LOG_CORRELATOR_SAMPLE_PAGE1_DESC"
				pagetitle="%LOG_CORRELATOR_SAMPLE_PAGE1_NAME">
				<buildCommand name="org.eclipse.jdt.core.javabuilder"/>
				<import dest="" src="archive/LogCorrelatorSample"/>
				<nature id="org.eclipse.jdt.core.javanature"/>
				<open file="readme.html" editorId="com.ibm.etools.webbrowser"/>
			</projectsetup>
		</sampleWizard>

		<sampleWizard
			id="org.eclipse.hyades.trace.sample.logparser.LogParserCreationWizard.sample"
			wizardId="org.eclipse.hyades.trace.sample.logparser.LogParserCreationWizard"
			banner="icons\examples\newtestproject_wizbanner.gif">
			
			<projectsetup
				helpId=""
				name="LogParserProject"
				pagedescription="%LOG_PARSER_SAMPLE_PAGE1_DESC"
				pagetitle="%LOG_PARSER_SAMPLE_PAGE1_NAME">
				<buildCommand name="org.eclipse.jdt.core.javabuilder"/>
				<import dest="" src="archive/LogParserSample"/>
				<nature id="org.eclipse.jdt.core.javanature"/>
				<open file="readme.html" editorId="com.ibm.etools.webbrowser"/>
			</projectsetup>
		</sampleWizard>
   </extension>

</plugin>
